<div class="bread-crumb-container pt15 pb15">
  <div class="container">
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb no-m no-p">
        <li class="breadcrumb-item purple-text fz12">
          Home
        </li>
        <li class="breadcrumb-item purple-text fz12" aria-current="page">Dashboard</li>
      </ol>
    </nav>
    <div class="btn custom-btn pull-right"  (click)="addUser()">
      <i class="fa fa-plus"></i> New User</div>
    <div class="users-list-title">Users List</div>

  </div>
</div>



<div class="container">
  <div class="row users_list_cotainer no-m">
    <div  [ngClass]="{'col-md-12':!showDetailsView,'col-md-9':showDetailsView}">
      <div class="row users-list">
        <div class="col-12">
          <div class="row no-m mb15">
            <div class="col-lg-10 col-md-9">
              <span class="fz12 dark-text2 fw500">Users</span>
            </div>
            <div class="col-lg-2 col-md-3">
              <span class="fz12 dark-text2 fw500">Actions</span>
            </div>
          </div>

          <div class="user-row" [ngClass]="{'selected-row':i==singleUserIndex}"  *ngFor="let user of users.data;let i=index">

            <div class="row no-m">
              <div class="col-lg-10 col-9" (click)="viewDetails(i)">
                <img class="mr10" src="{{user.avatar}}">
                <span class="user-name">
                  {{user.first_name}} {{user.last_name}}
                </span>
              </div>
              <div class="col-lg-2 col-3 actions_container">
                <span (click)="editUser(user.id)">
                  <i class="fa fa-pencil"></i>
                </span>
                <span (click)="deleteUser(user.id,user.first_name+' '+user.last_name)">
                  <i class="fa fa-trash"></i>
                </span>
                <span class="pull-right">
                  <i class="fa fa-angle-right"></i>
                </span>
              </div>
            </div>


          </div>
        </div>
        <div class="col-12 text-center mt10">
          <app-spinner [hidden]="!loading"></app-spinner>
          <div (click)="getNextPage()" class="fz12 purple-text cp" *ngIf="page!=users.total_pages">Loading more users</div>
        </div>

      </div>
    </div>

    <div class="col-md-3 userDetails" *ngIf="showDetailsView">
      
      <span (click)="hideDetailsView()" class="pull-right purple-text mt10 cp"><i class="fa fa-times"></i></span>

      <img src="{{singleUser.avatar}}">
      <div class="name">{{singleUser.first_name}} {{singleUser.last_name}}</div>

      <div (click)="editUser(singleUser.id)" class="btn custom-btn mr10"> <i class="fa fa-pencil"></i> Edit</div>
      <div (click)="deleteUser(singleUser.id,singleUser.first_name+' '+singleUser.last_name)" class="btn custom-btn light"> <i class="fa fa-trash"></i> Delete</div>

    </div>


  </div>
</div>

<app-add-user #addEditUser></app-add-user>
<app-delete-popup (userDeleted)="userDeleted($event)" #deletePopup></app-delete-popup>